spyserver_source_c.h File Reference
`#include <thread>`
`#include <atomic>`
`#include <boost/circular_buffer.hpp>`
`#include <boost/thread/mutex.hpp>`
`#include <boost/thread/condition_variable.hpp>`
`#include <gnuradio/sync_block.h>`
`#include "source_iface.h"`
`#include "spyserver_protocol.h"`
`#include "tcp_client.h"`
Include dependency graph for spyserver_source_c.h:

Go to the source code of this file.

## Classes

class | spyserver_source_c
| Provides a stream of complex samples. More...

## Functions

spyserver_source_c_sptr | make_spyserver_source_c (const std::string &args="")
| Return a shared_ptr to a new instance of spyserver_source_c. More...

## Function Documentation

## make_spyserver_source_c()

spyserver_source_c_sptr make_spyserver_source_c | ( | const std::string & | args = `""` | ) |

Return a shared_ptr to a new instance of spyserver_source_c.

To avoid accidental use of raw pointers, spyserver_source_c's constructor is private. make_spyserver_source_c is the public interface for creating new instances.